%define name      ssvnc-viewer
%define source    ssvnc-1.0.26

Summary:          TightVNC viewer enhanced by Karl Runge
Name:             %{name}
Version:          1.0.26
Release:          1%{?dist}
License:          GPLv2+
Group:            User Interface/Desktops
URL:              http://www.karlrunge.com/x11vnc/ssvnc.html
Source:           http://ssvnc.sourceforge.net/dev/%{source}.src.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:    xorg-x11-server-devel,libXaw-devel
BuildRequires:    libXmu-devel, libjpeg-devel, zlib-devel, imake
Requires(post):   desktop-file-utils
Requires(postun): desktop-file-utils
Obsoletes:        vncviewer-enhanced

%description
Virtual Network Computing (VNC) is a remote display system which
allows you to view a computing 'desktop' environment not only on the
machine where it is running, but from anywhere on the Internet and
from a wide variety of machine architectures.

The Enhanced TightVNC Viewer package started as a project to add some patches
to the long neglected Unix TightVNC Viewer.

%prep
%setup -q -n %{source}

%build
%{__make} config JSRC=""
%{__make} all JSRC=""

%install
%{__rm} -rf %{buildroot}
%{__install} -d -m0755 %{buildroot}%{_bindir} %{buildroot}%{_mandir}/man1/
%{__cp} -r man/man1 %{buildroot}%{_mandir}
%{__install} -d -m0755 %{buildroot}%{_datadir}/applications/
cd vnc_unixsrc/vncviewer
%{__cp} vncviewer %{buildroot}%{_bindir}/%{name}
%{__cat} <<EOF >%{name}.desktop
[Desktop Entry]
Name=TightVNC Viewer enhanced by Karl Runge
Comment=Connect to remote desktop using VNC
Icon=gnome-fs-network
Exec=%{name}
Terminal=false
Type=Application
Categories=Application;Network;
EOF
%{__cp} %{name}.desktop %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{vendor} --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  --add-category X-Fedora \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
%{__rm} -rf %{buildroot}

%post
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%postun
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%files
%defattr(-, root, root, 0755)
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%doc README COPYING
%{_mandir}/man1/*

%changelog
* Sat Mar 13 2010 Matthias Haase <matthias_haase@bennewitz.com> - 1.0.26-1
- Package renamed to ssvnc-viewer

* Wed Mar 10 2010 Matthias Haase <matthias_haase@bennewitz.com> - 1.0.26-2
- vendor macro fixed

* Wed Mar 10 2010 Matthias Haase <matthias_haase@bennewitz.com> - 1.0.26-1
- update to developer version 1.0.26
- viewer is packaged only
- binary and package renamed to avoid conflicts
- build with JSRC=""
- unix ssvnc source tarball used as source
- libjpeg-devel, zlib-devel, imake, xorg-server-devel added to BuildRequires
- update-desktop-database added to post and postun
- license set to GPLv2+
- source url updated
- cleanups

* Thu Jun 26 2008 Pavel Alexeev <Pahan [ at ] Hubbitus [ DOT ] spb [ dOt.] su> - 1.0.20-0.Hu.0
- Spec imported from http://dag.wieers.com/rpm/packages/enhanced_tightvnc/enhanced_tightvnc.spec (rpm not found).
- This is was base, fully rewritten.
- Renamed to ssvnc.

* Fri Nov 17 2006 Dag Wieers <dag@wieers.com> - 1.0.7-1
- Initial package. (using DAR)
